package com.ux.video.file.filerecovery.result

import androidx.lifecycle.MutableLiveData
import androidx.lifecycle.ViewModel
import com.ux.video.file.filerecovery.db.ResultData

class ScanningActivityViewModel : ViewModel() {


    val scanData:  MutableLiveData<List<ResultData>> = ScanResultRepository.scanData

    fun updateData(data: List<ResultData>) {
        ScanResultRepository.setScanResult(data)
    }

}